Summary: Client and server for sending messages to a host's logged in users.
Name: rwall
Version: 0.16
Release: 2mdk
Copyright: BSD
Group: System/Servers
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-rwall-%version.tar.bz2
Source1: rwalld.init
Patch0: netkit-rwalld-0.10-banner.patch.bz2
Prereq: /sbin/chkconfig
Buildroot: /var/tmp/%{name}-root

%description
The rwall command sends a message to all of the users logged into
a specified host.  Actually, your machine's rwall client sends the
message to the rwall daemon running on the specified host, and the
rwall daemon relays the message to all of the users logged in to
that host.  The rwall daemon is run from /etc/inetd.conf and is
disabled by default on Red Hat Linux systems (it can be very annoying
to keep getting all those messages when you're trying to play
Quake--I mean trying to get some work done).

Install rwall if you'd like the ability to send messages to users
logged in to a specified host machine.

%prep
%setup -n netkit-rwall-%version
CFLAGS="$RPM_OPT_FLAGS" ./configure
%patch0 -p1
cd ..

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
make INSTALLROOT=$RPM_BUILD_ROOT install
install -m 755 $RPM_SOURCE_DIR/rwalld.init $RPM_BUILD_ROOT/etc/rc.d/init.d/rwalld


find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done
rm $RPM_BUILD_ROOT/usr/man/man8/rwalld.8
ln -s rpc.rwalld.8.bz2 $RPM_BUILD_ROOT/usr/man/man8/rwalld.8.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rwalld

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del rwalld
fi

%files
%defattr(-,root,root)
/usr/sbin/rpc.rwalld
/usr/man/man8/rpc.rwalld.8.bz2
/usr/man/man8/rwalld.8.bz2
/usr/bin/rwall
/usr/man/man1/rwall.1.bz2
%config /etc/rc.d/init.d/rwalld

%changelog
* Thu Apr 12 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.16-2mdk
- Fix bad tag value.

* Tue Mar 21 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 0.16-1mdk
- 0.16

* Thu Nov 04 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscript

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- fixed init script (didn't include function library)
- doesn't invoke wall with -n anymore

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added a chkconfig compatible initscript
- added %attr attributes

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
